Name:           perl-RPM2
Version:        1.0
Release:        %mkrel 2
Summary:        Perl bindings for the RPM Package Manager API
License:        GPL+ or Artistic
Group:          Development/C
URL:            http://search.cpan.org/dist/RPM2/
Source0:        http://www.cpan.org/authors/id/L/LK/LKUNDRAK/RPM2-%{version}.tar.gz
Patch0:         %{name}-1.0-testplan.patch
BuildRequires:  rpm-devel perl-devel
BuildRequires:  perl(Module::Build)
# Tests
BuildRequires:  perl(Test)
BuildRequires:  perl(POSIX)

%description
The RPM2 module provides an object-oriented interface to querying both the
installed RPM database as well as files on the filesystem, providing Perl
bindings for the RPM Package Manager API.

%prep
%setup -q -n RPM2-%{version}
%patch0 -p1 -b .testplan

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%check
#./Build test verbose=1

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/RPM2*
%{_mandir}/man3/*



%changelog

* Wed Dec 28 2011 dmorgan <dmorgan> 1.0-2.mga2
+ Revision: 188461
- Rebuild against new rpm

* Fri Oct 07 2011 tv <tv> 1.0-1.mga2
+ Revision: 152853
- BR?\194?\160perl-devel
- imported package perl-RPM2


* Fri Oct 07 2011 Thierry Vignaud <tvignaud@mandriva.com> 1.0-1
- initial release
